## creole 2.7.2-116

=== Makefile ===
################################
# Makefile pour creole
################################

SOURCE=creole
EOLE_VERSION=2.7
EOLE_RELEASE=2.7.2

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
creole (2.7.2-116) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [a24dc52] installer la clef GPG (ref #36812, ref #36861)

  [ EOLE Build Daemon ]
  * [58762ef] Joël Cuissinat: Update package since “debian/eole/2.7.2-115”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 May 2025 16:03:58 +0200

creole (2.7.2-115) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [bce7c2a] Proposer de chiffrer le fichier de rapport + pouvoir ajouter un répertoire au rapport(ref #36812 et #36804)

  [ Joël Cuissinat ]
  * [10fe02d] gen_rpt : utilisation de la clé EOLE pour chiffrer les données
  * [09ac7a9] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [dbf3258] Joël Cuissinat: Update package since “debian/eole/2.7.2-114”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 May 2025 15:30:59 +0200

creole (2.7.2-114) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [38e8ffc] Ajouter le module Hâpy à la liste des modules pris en charge.
  * [36d7921] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [461d96c] Benjamin Bohard: Update package since “debian/eole/2.7.2-113”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 12 Jul 2023 14:18:03 +0200

creole (2.7.2-113) eole-2.7.2-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [ec641be] Gestion de l'upgrade de grub sur partition de type md0p1 ou /dev/mapper/..
  * [12eba2d] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [44f9a69] Laurent Gourvénec: Update package since “debian/eole/2.7.2-112”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Fri, 07 Jul 2023 14:27:32 +0200

creole (2.7.2-112) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [d7efd1a] Les emplacements n’existent plus dans la plupart des cas.
  * [fe50334] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [326cf4e] Benjamin Bohard: Update package since “debian/eole/2.7.2-111”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 20 Mar 2023 11:42:12 +0100

creole (2.7.2-111) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [85e20fd] Déplacer les données et supprimer les dossiers avant création des liens
  * [b2da957] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [7a441f8] Benjamin Bohard: Update package since “debian/eole/2.7.2-110”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 13 Mar 2023 14:57:59 +0100

creole (2.7.2-110) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [7bbfd27] Upgrade-Auto : update messages and translations
  * [aab671d] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [0f8f989] Joël Cuissinat: Update package since “debian/eole/2.7.2-109”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 23 Feb 2023 11:51:13 +0100

creole (2.7.2-109) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [d341f9f] Vérifier la présence du fichier listant les extensions désinstallées.
  * [74e7d7e] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [c8bfadf] Benjamin Bohard: Update package since “debian/eole/2.7.2-108”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 20 Feb 2023 10:08:06 +0100

creole (2.7.2-108) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [fa5d7e9] Migrer les extensions de postgresql.
  * [61ea44c] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [e108ba4] Benjamin Bohard: Update package since “debian/eole/2.7.2-107”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 15 Feb 2023 12:16:12 +0100

creole (2.7.2-107) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [51f4e55] upgrade24 : gestion correct des versions (ref #34349)
  * [9d3581b] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [6fe5b42] Emmanuel Garette: Update package since “debian/eole/2.7.2-106”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 23 Jun 2022 10:38:09 +0200

creole (2.7.2-106) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [721927a] gestion de la migration de postgis (ref #34245)
  * [cf21625] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [41ab009] Emmanuel Garette: Update package since “debian/eole/2.7.2-105”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 16 Jun 2022 10:21:19 +0200

creole (2.7.2-105) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [2047bc2] gestion des versions de dépôt PNESR (ref #33805)
  * [8379b1f] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [52dfb73] Emmanuel Garette: Update package since “debian/eole/2.7.2-104”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 09 Jun 2022 15:43:06 +0200

creole (2.7.2-104) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [0f84371] Update Upgrade-Auto translations
  * [b3d712a] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [5e72b30] Joël Cuissinat: Update package since “debian/eole/2.7.2-103”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 20 May 2022 15:06:52 +0200

creole (2.7.2-103) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [62a3ebf] converti le fichier zephir_conf.py de python2 à python3 lors d'Upgrade-Auto (ref #34143)
  * [bfb106d] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [f016f5b] Emmanuel Garette: Update package since “debian/eole/2.7.2-102”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 10 May 2022 17:07:40 +0200

creole (2.7.2-102) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [01d5848] correction du merge en 2.7.2 (ref #33775)
  * [ceaaf5f] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]


=== debian/control ===
Source: creole
Section: admin
Priority: optional
Maintainer: Équipe Eole <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9),
               python-all,
               python3-all,
               dh-systemd,
               dh-python,
               python-all-dev,
               python3-all-dev,
               python-setuptools,
               python3-setuptools,
               dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/creole
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/creole/repository

Package: creole
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-creole (= ${binary:Version}), dialog, httping, mutt, ethtool,
 iputils-arping, fping, bind9-host, openssl, update-manager-core, python-configparser,
 python-psutil,
 eole-team-keyring
Breaks: eole-server (<< 2.4.0-70)
Replaces: eole-server (<< 2.4.0-70)
Description: gestion de configuration Creole
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: creole-common
Architecture: all
Depends: ${misc:Depends},
Replaces: creole (<= 2.4.0-137)
Breaks: creole (<= 2.4.0-137)
Description: gestion de configuration Creole - fichier commun
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: python-creole-client
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         creole-common (= ${binary:Version}),
         python-requests,
         python-tiramisu,
         python-eventlet,
         creole-client
Provides: python-creole-base
Conflicts: python-creole-base
Replaces: creole (<= 2.4.0-137),
	  python-creole-base
Breaks: creole (<= 2.4.0-137)
Description: gestion de configuration Creole - librairie cliente
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: python3-creole-client
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         creole-common (= ${binary:Version}),
         python3-requests,
         python3-tiramisu,
         python3-eventlet,
         creole-client
Provides: python3-creole-base
Conflicts: python3-creole-base
Replaces: python-creole-base
Description: gestion de configuration Creole -  librairie cliente (Python3)
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: creole-client
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Replaces: python-creole (<= 2.7.0-40)
Breaks: python-creole (<= 2.7.0-40)
Description: gestion de configuration Creole - fichiers communs (client)
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: python-creole
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 creole-common (= ${binary:Version}),
 python-tiramisu (>= 2.0~13-1), python-cheetah, python-openssl,
 python-configobj, python-pyeole (>= 2.5.0~1-5), python-cherrypy3, python-cjson,
 python-formencode, patch, python-lxml, libxml2-utils,
 python-ipy, python-pyinotify, python-passlib,
 python-requests,
 python-dateutil,
 python-eventlet,
 python-systemd
Provides: python-creole-client,
	  python-creole-base
Conflicts: python-creole-client,
	   python-creole-base
Replaces: creole (<= 2.4.0-137),
	  python-creole-client,
	  python-creole-base
Breaks: creole (<= 2.4.0-137)
Description: gestion de configuration Creole
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: python3-creole
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 creole-common (= ${binary:Version}),
 python3-tiramisu (>= 2.0~13-1), python-cheetah, python-openssl,
 python3-configobj, python3-pyeole (>= 2.5.0~1-5), python-cherrypy3, python-cjson,
 python3-formencode, patch, python3-lxml, libxml2-utils,
 python3-ipy, python3-pyinotify, python3-passlib,
 python3-requests,
 python3-dateutil,
 python3-eventlet,
 python3-systemd,
 python3-requests,
 python3-ipy,
 python3-lxml,
 python3-distutils
Provides: python3-creole-client,
	  python3-creole-base
Conflicts: python3-creole-client,
	   python3-creole-base
Replaces: python3-creole-client,
	  python3-creole-base
Description: gestion de configuration Creole (Python3)
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: creole-tests
Architecture: all
Depends: creole,
         python-pytest,
         ${misc:Depends}
Description: Creole unit tests
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: fake-chromium
Architecture: all
Provides: chromium-browser, chromium-browser-l10n
Conflicts: chromium-browser, chromium-browser-l10n
Replaces: chromium-browser, chromium-browser-l10n
Description: Paquet EOLE utile lors de Upgrade-Auto
 Plutôt que d'installer la version SNAP chromium, desinstaller le paquet avant

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

export PYBUILD_NAME = creole
export PYBUILD_DISABLE_python2=test
export PYBUILD_DISABLE_python3=test

%:
	dh $@ --with python2,systemd,python3 --buildsystem=pybuild

override_dh_auto_install:
	make DESTDIR=debian/tmp install
	dh_auto_install

override_dh_systemd_enable:
	dh_systemd_enable --name=creoled

# Does not work for now
# override_dh_auto_test:
# 	PYTHONPATH=. py.test

.PHONY: override_dh_systemd_enable

## creole 2.8.0-118

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 ################################
 
 SOURCE=creole
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.2
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 
 ################################
 # Début de zone à ne pas éditer

=== debian/changelog ===
creole (2.8.0-118) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [a9124a9] installer la clef GPG (ref #36812, ref #36861)
  * [10fe02d] gen_rpt : utilisation de la clé EOLE pour chiffrer les données
  * [97d5a8c] Merge branch '2.7.2/master' into 2.8.0/master
  * [c6ac06d] Revert "Ajouter le module Hâpy à la liste des modules pris en charge."
  * [bbbed4b] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ Benjamin Bohard ]
  * [38e8ffc] Ajouter le module Hâpy à la liste des modules pris en charge.

  [ Emmanuel Garette ]
  * [bce7c2a] Proposer de chiffrer le fichier de rapport + pouvoir ajouter un répertoire au rapport(ref #36812 et #36804)

  [ EOLE Build Daemon ]
  * [d92e043] Joël Cuissinat: Update package since “debian/eole/2.8.0-117”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 May 2025 16:18:28 +0200

creole (2.8.0-117) eole-2.8.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [ec641be] Gestion de l'upgrade de grub sur partition de type md0p1 ou /dev/mapper/..
  * [179d790] Merge branch '2.7.2/master' into 2.8.0/master
  * [2e95593] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [1c3abcd] Laurent Gourvénec: Update package since “debian/eole/2.8.0-116”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 10 Jul 2023 09:27:07 +0200

creole (2.8.0-116) eole-2.8.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [7fa9524] Remplacement de la fonction __cmp__ pour comparer 2 int
  * [94fad7c] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [3ef3add] Laurent Gourvénec: Update package since “debian/eole/2.8.0-115”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 04 May 2023 11:07:11 +0200

creole (2.8.0-115) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [d7efd1a] Les emplacements n’existent plus dans la plupart des cas.
  * [2c5d91e] Merge branch '2.7.2/master' into 2.8.0/master
  * [598f335] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [0f5b9bf] Benjamin Bohard: Update package since “debian/eole/2.8.0-114”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 20 Mar 2023 13:59:13 +0100

creole (2.8.0-114) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [7bbfd27] Upgrade-Auto : update messages and translations
  * [faf3da5] Merge branch '2.7.2/master' into 2.8.0/master

  [ Benjamin Bohard ]
  * [85e20fd] Déplacer les données et supprimer les dossiers avant création des liens
  * [f5e6eb2] Merge branch '2.7.2/master' into 2.8.0/master
  * [8a3023e] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [8582ac0] Benjamin Bohard: Update package since “debian/eole/2.8.0-113”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 13 Mar 2023 14:59:36 +0100

creole (2.8.0-113) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [fa5d7e9] Migrer les extensions de postgresql.
  * [9e9482e] Merge branch '2.7.2/master' into 2.8.0/master
  * [2cdbf25] Mettre à jour les numéros de version de posgresql.
  * [acfe8f5] Merge branch '2.8.0/master' into dist/eole/2.8.0/master
  * [d341f9f] Vérifier la présence du fichier listant les extensions désinstallées.
  * [01cf36c] Merge branch '2.7.2/master' into 2.8.0/master
  * [3451c45] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [7377a74] Benjamin Bohard: Update package since “debian/eole/2.8.0-112”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 20 Feb 2023 10:09:52 +0100

creole (2.8.0-112) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [721927a] gestion de la migration de postgis (ref #34245)
  * [07e279c] Merge branch '2.7.2/master' into 2.8.0/master
  * [51f4e55] upgrade24 : gestion correct des versions (ref #34349)
  * [f27fb8b] Merge branch '2.7.2/master' into 2.8.0/master
  * [45943b7] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [ca67e30] Emmanuel Garette: Update package since “debian/eole/2.8.0-111”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 23 Jun 2022 10:41:24 +0200

creole (2.8.0-111) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [2047bc2] gestion des versions de dépôt PNESR (ref #33805)
  * [bbb8938] Merge branch '2.7.2/master' into 2.8.0/master
  * [220c553] gestion des versions de dépôt PNESR (ref #33805)
  * [bd49212] gestion de la migration de postgis (ref #34245)
  * [78e5bd9] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [fb13a9a] Emmanuel Garette: Update package since “debian/eole/2.8.0-110”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 09 Jun 2022 15:49:26 +0200

creole (2.8.0-110) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [0f84371] Update Upgrade-Auto translations
  * [a356fea] Merge branch '2.7.2/master' into 2.8.0/master
  * [1fbdc5d] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [1d85465] Joël Cuissinat: Update package since “debian/eole/2.8.0-109”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 30 May 2022 17:35:12 +0200

creole (2.8.0-109) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [62a3ebf] converti le fichier zephir_conf.py de python2 à python3 lors d'Upgrade-Auto (ref #34143)
  * [e803f1f] Merge branch '2.7.2/master' into 2.8.0/master
  * [ca0f37b] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [33b7fb0] Emmanuel Garette: Update package since “debian/eole/2.8.0-108”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 12 May 2022 17:03:01 +0200

creole (2.8.0-108) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [3a8048f] Convertir les bytes en str lors de la récupération de l'IP (ref #34135)
  * [3edf42f] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]


=== debian/control ===
--- 
+++ 
@@ -3,13 +3,10 @@
 Priority: optional
 Maintainer: Équipe Eole <eole@ac-dijon.fr>
 Build-Depends: debhelper (>= 9),
-               python-all,
                python3-all,
                dh-systemd,
                dh-python,
-               python-all-dev,
                python3-all-dev,
-               python-setuptools,
                python3-setuptools,
                dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.3
@@ -21,10 +18,9 @@
 
 Package: creole
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
- python-creole (= ${binary:Version}), dialog, httping, mutt, ethtool,
- iputils-arping, fping, bind9-host, openssl, update-manager-core, python-configparser,
- python-psutil,
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-creole (= ${binary:Version}), dialog, httping, mutt, ethtool,
+ iputils-arping, fping, bind9-host, openssl, update-manager-core,
  eole-team-keyring
 Breaks: eole-server (<< 2.4.0-70)
 Replaces: eole-server (<< 2.4.0-70)
@@ -83,10 +79,38 @@
 
 Package: creole-client
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Replaces: python-creole (<= 2.7.0-40)
 Breaks: python-creole (<= 2.7.0-40)
 Description: gestion de configuration Creole - fichiers communs (client)
+ Pour toute information complementaire, veuillez vous rendre
+ sur le site du Projet a l'adresse suivante :
+ .
+ http://eole.orion.education.fr
+
+Package: python3-creole
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends},
+ creole-common (= ${binary:Version}),
+ python3-tiramisu (>= 2.0~13-1), python3-cheetah, python3-openssl,
+ python3-configobj, python3-pyeole (>= 2.5.0~1-5), python3-cherrypy3,
+ python3-formencode, patch, python3-lxml, libxml2-utils,
+ python3-ipy, python3-pyinotify, python3-passlib,
+ python3-requests,
+ python3-dateutil,
+ python3-eventlet,
+ python3-systemd,
+ python3-requests,
+ python3-ipy,
+ python3-lxml,
+ python3-distutils
+Provides: python3-creole-client,
+	  python3-creole-base
+Conflicts: python3-creole-client,
+	   python3-creole-base
+Replaces: python3-creole-client,
+	  python3-creole-base
+Description: gestion de configuration Creole (Python3)
  Pour toute information complementaire, veuillez vous rendre
  sur le site du Projet a l'adresse suivante :
  .
@@ -118,49 +142,13 @@
  .
  http://eole.orion.education.fr
 
-Package: python3-creole
-Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
- creole-common (= ${binary:Version}),
- python3-tiramisu (>= 2.0~13-1), python-cheetah, python-openssl,
- python3-configobj, python3-pyeole (>= 2.5.0~1-5), python-cherrypy3, python-cjson,
- python3-formencode, patch, python3-lxml, libxml2-utils,
- python3-ipy, python3-pyinotify, python3-passlib,
- python3-requests,
- python3-dateutil,
- python3-eventlet,
- python3-systemd,
- python3-requests,
- python3-ipy,
- python3-lxml,
- python3-distutils
-Provides: python3-creole-client,
-	  python3-creole-base
-Conflicts: python3-creole-client,
-	   python3-creole-base
-Replaces: python3-creole-client,
-	  python3-creole-base
-Description: gestion de configuration Creole (Python3)
- Pour toute information complementaire, veuillez vous rendre
- sur le site du Projet a l'adresse suivante :
- .
- http://eole.orion.education.fr
-
 Package: creole-tests
 Architecture: all
 Depends: creole,
-         python-pytest,
+         python3-pytest,
          ${misc:Depends}
 Description: Creole unit tests
  Pour toute information complementaire, veuillez vous rendre
  sur le site du Projet a l'adresse suivante :
  .
  http://eole.orion.education.fr
-
-Package: fake-chromium
-Architecture: all
-Provides: chromium-browser, chromium-browser-l10n
-Conflicts: chromium-browser, chromium-browser-l10n
-Replaces: chromium-browser, chromium-browser-l10n
-Description: Paquet EOLE utile lors de Upgrade-Auto
- Plutôt que d'installer la version SNAP chromium, desinstaller le paquet avant

## creole 2.8.1-144

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SOURCE=creole
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 
 ################################
 # Début de zone à ne pas éditer

=== debian/changelog ===
creole (2.8.1-144) eole-2.8.1-proposed-updates; urgency=low

  [ lseys ]
  * [e0397cd] Ajout d'une condition if not eole-postgresql => exit 00-postgresl
  * [af8280b] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0b9486e] lseys: Update package since “debian/eole/2.8.1-143”

 -- lseys <lseys@cadoles.com>  Tue, 09 Sep 2025 11:26:35 +0200

creole (2.8.1-143) eole-2.8.1-proposed-updates; urgency=low

  [ lseys ]
  * [e411ca6] add 15-ntpdate_cleanup
  * [9cb4110] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [2e72155] lseys: Update package since “debian/eole/2.8.1-142”

 -- lseys <lseys@cadoles.com>  Mon, 08 Sep 2025 15:22:56 +0200

creole (2.8.1-142) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [644c3fc] pre_upgrade/20-bareos : vérifier si les paquets à supprimer sont présents
  * [5acfd48] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [f8ffa9a] Joël Cuissinat: Update package since “debian/eole/2.8.1-141”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 02 Sep 2025 17:09:20 +0200

creole (2.8.1-141) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [3fa26f4] Upgrade : remove mod_clamav lines from proftpd.conf
  * [e7568e7] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [e7ba202] Joël Cuissinat: Update package since “debian/eole/2.8.1-140”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 22 Jul 2025 15:37:11 +0200

creole (2.8.1-140) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [c82a01b] post-upgrade: fix droits sur 20-purge_packages
  * [b1dea5d] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [cf94fe3] Laurent Gourvénec: Update package since “debian/eole/2.8.1-139”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 02 Jul 2025 16:59:55 +0200

creole (2.8.1-139) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [6b744d5] post-upgrade: suppression des paquets en rc
  * [5de6ac3] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0115816] Laurent Gourvénec: Update package since “debian/eole/2.8.1-138”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 02 Jul 2025 16:57:40 +0200

creole (2.8.1-138) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [d658f6e] pre_upgrade/20-bareos : conditionnement du sed sur bareos-database-common.conf
  * [ee2b57e] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [98b429f] Joël Cuissinat: Update package since “debian/eole/2.8.1-137”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 26 Jun 2025 09:56:07 +0200

creole (2.8.1-137) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [1da0ffb] dbconfig-common n’est pas utilisé dans EOLE.
  * [bbc593b] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [87610a2] Benjamin Bohard: Update package since “debian/eole/2.8.1-136”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 17 Jun 2025 10:47:47 +0200

creole (2.8.1-136) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [f90b5e0] Remplacer apt-eole par apt pour éviter la dépendance à creoled
  * [1f74de2] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3f77b9c] Benjamin Bohard: Update package since “debian/eole/2.8.1-135”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 03 Jun 2025 09:36:35 +0200

creole (2.8.1-135) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [e349082] installer la clef GPG (ref #36812, ref #36861)
  * [10fe02d] gen_rpt : utilisation de la clé EOLE pour chiffrer les données
  * [97d5a8c] Merge branch '2.7.2/master' into 2.8.0/master
  * [c6ac06d] Revert "Ajouter le module Hâpy à la liste des modules pris en charge."
  * [479837c] Merge branch '2.8.0/master' into 2.8.1/master
  * [702f52f] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ Benjamin Bohard ]
  * [38e8ffc] Ajouter le module Hâpy à la liste des modules pris en charge.

  [ Emmanuel Garette ]
  * [bce7c2a] Proposer de chiffrer le fichier de rapport + pouvoir ajouter un répertoire au rapport(ref #36812 et #36804)

  [ EOLE Build Daemon ]
  * [6b853ea] Joël Cuissinat: Update package since “debian/eole/2.8.1-134”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 May 2025 16:22:22 +0200

creole (2.8.1-134) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [bbdf40e] Filtrer les données remontées par la commande ip address.
  * [49f5fb2] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [8c7bb65] Benjamin Bohard: Update package since “debian/eole/2.8.1-133”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 17 Mar 2025 17:06:46 +0100

creole (2.8.1-133) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [40cd84e] decodestring => decodebytes pour python 3.10 (ref #36403)
  * [192dfee] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ea6483b] Emmanuel Garette: Update package since “debian/eole/2.8.1-132”

 -- Emmanuel Garette <egarette@silique.fr>  Fri, 31 Jan 2025 17:42:03 +0100

creole (2.8.1-132) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [5b9384b] Fix get_devices()
  * [b8bff5b] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [d34cfbc] Laurent Gourvénec: Update package since “debian/eole/2.8.1-131”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 04 Dec 2024 15:26:15 +0100

creole (2.8.1-131) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [2c60954] Réécriture d'une condition plus "python"
  * [c37fd28] Ajout d'un cas spécifique pour get_devices() ou ip renvoie un dico vide
  * [3e937ff] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]


=== debian/control ===
--- 
+++ 
@@ -103,6 +103,7 @@
  python3-requests,
  python3-ipy,
  python3-lxml,
+ python3-pyroute2,
  python3-distutils
 Provides: python3-creole-client,
 	  python3-creole-base

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,10 @@
 # export DH_OPTIONS=-v
 
 export PYBUILD_NAME = creole
-export PYBUILD_DISABLE_python2=test
 export PYBUILD_DISABLE_python3=test
 
 %:
-	dh $@ --with python2,systemd,python3 --buildsystem=pybuild
+	dh $@ --with systemd,python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	make DESTDIR=debian/tmp install

## creole 2.8.1-148

=== debian/changelog ===
creole (2.8.1-148) eole-2.8.1-proposed-updates; urgency=low

  [ lseys ]
  * [54a09d4] suppression du saut de ligne caché
  * [4d589ff] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3dac2cd] lseys: Update package since “debian/eole/2.8.1-147”

 -- lseys <lseys@cadoles.com>  Wed, 29 Oct 2025 15:58:02 +0100

creole (2.8.1-147) eole-2.8.1-proposed-updates; urgency=low

  [ lseys ]
  * [7ef2cb8] oubli d'un échappement, correction du précédent
  * [9629689] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [5fb790c] lseys: Update package since “debian/eole/2.8.1-146”

 -- lseys <lseys@cadoles.com>  Mon, 27 Oct 2025 10:42:20 +0100

creole (2.8.1-146) eole-2.8.1-proposed-updates; urgency=low

  [ lseys ]
  * [48475c8] Ajout d'un échappement pour que les variable soient correctement interprété
  * [47b76cc] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [d77c50f] lseys: Update package since “debian/eole/2.8.1-145”

 -- lseys <lseys@cadoles.com>  Tue, 21 Oct 2025 12:03:45 +0200

creole (2.8.1-145) eole-2.8.1-proposed-updates; urgency=low

  [ lseys ]
  * [a153fdc] Revert "add 15-ntpdate_cleanup"

  [ Benjamin Bohard ]
  * [4df5625] Remplacer apt-eole par apt pour éviter la dépendance à creoled
  * [112f5cf] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [b3a5d2e] Benjamin Bohard: Update package since “debian/eole/2.8.1-144”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 23 Sep 2025 11:03:28 +0200

## creole 2.9.0-85

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 ################################
 
 SOURCE=creole
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 
 ################################
 # Début de zone à ne pas éditer

=== debian/changelog ===
creole (2.9.0-85) eole-2.9.0-proposed-updates; urgency=low

  [ lseys ]
  * [a153fdc] Revert "add 15-ntpdate_cleanup"
  * [05c6e03] Merge branch '2.8.1/master' into 2.9.0/master
  * [519d2b7] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [81e8e04] lseys: Update package since “debian/eole/2.9.0-84”

 -- lseys <lseys@cadoles.com>  Thu, 11 Sep 2025 12:13:42 +0200

creole (2.9.0-84) eole-2.9.0-proposed-updates; urgency=low

  [ lseys ]
  * [e0397cd] Ajout d'une condition if not eole-postgresql => exit 00-postgresl
  * [2ff893e] Merge branch '2.8.1/master' into 2.9.0/master
  * [e1824ad] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ee3c5e2] lseys: Update package since “debian/eole/2.9.0-83”

 -- lseys <lseys@cadoles.com>  Tue, 09 Sep 2025 11:27:50 +0200

creole (2.9.0-83) eole-2.9.0-proposed-updates; urgency=low

  [ lseys ]
  * [e411ca6] add 15-ntpdate_cleanup
  * [ef1fdfa] Merge branch '2.8.1/master' into 2.9.0/master
  * [7591c72] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [8f2a552] lseys: Update package since “debian/eole/2.9.0-82”

 -- lseys <lseys@cadoles.com>  Mon, 08 Sep 2025 15:24:04 +0200

creole (2.9.0-82) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [3fa26f4] Upgrade : remove mod_clamav lines from proftpd.conf
  * [644c3fc] pre_upgrade/20-bareos : vérifier si les paquets à supprimer sont présents
  * [e44c5b2] Merge branch '2.8.1/master' into 2.9.0/master
  * [7f67326] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [6023cee] Joël Cuissinat: Update package since “debian/eole/2.9.0-81”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 02 Sep 2025 17:11:07 +0200

creole (2.9.0-81) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [3163977] gestion du proxy (ref #36971)
  * [ba884c6] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [420fd6e] Emmanuel Garette: Update package since “debian/eole/2.9.0-80”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 04 Aug 2025 11:16:27 +0200

creole (2.9.0-80) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [8f7e81e] Upgrade-Auto eolead le conteneur n'existe pas (ref #36996)
  * [a4cdf79] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [78eb7f7] Emmanuel Garette: Update package since “debian/eole/2.9.0-79”

 -- Emmanuel Garette <egarette@silique.fr>  Thu, 31 Jul 2025 22:06:27 +0200

creole (2.9.0-79) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [2e6003c] Upgrade-Auto eolead le conteneur n'existe pas (ref #36996)
  * [c9b6d02] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [506541f] Emmanuel Garette: Update package since “debian/eole/2.9.0-78”

 -- Emmanuel Garette <egarette@silique.fr>  Thu, 31 Jul 2025 15:15:49 +0200

creole (2.9.0-78) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [a869314] Systemd est déjà mis à jour au dessus (ref #36988)
  * [5524558] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [923a4a4] Emmanuel Garette: Update package since “debian/eole/2.9.0-77”

 -- Emmanuel Garette <egarette@silique.fr>  Thu, 31 Jul 2025 10:55:19 +0200

creole (2.9.0-77) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [3a0c851] CreoleSwitchResolv doit supprimer le lien symbolique si existe (ref #36968)
  * [46cf721] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [fea5b4e] Emmanuel Garette: Update package since “debian/eole/2.9.0-76”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 30 Jul 2025 18:42:29 +0200

creole (2.9.0-76) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [a870dde] Upgrade-Auto : desactivation de deborphan (ref #36989)
  * [2606dcd] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [9ce33d3] Emmanuel Garette: Update package since “debian/eole/2.9.0-75”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 30 Jul 2025 10:27:00 +0200

creole (2.9.0-75) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [30ca0e5] Mise à jour de salt dans le conteneur domaine (ref #36988)
  * [866c73b] affiche la liste des paquets orphelin (ref #36971)
  * [ddeeb87] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [80a04ce] Emmanuel Garette: Update package since “debian/eole/2.9.0-74”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 29 Jul 2025 09:24:20 +0200

creole (2.9.0-74) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [99172a6] mise à jour de PHP (ref #36971)
  * [c1f2c95] Upgrade-Auto de AmonEcole (ref #36988)
  * [c7f76c3] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [045d7c5] Emmanuel Garette: Update package since “debian/eole/2.9.0-73”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 29 Jul 2025 09:10:48 +0200

creole (2.9.0-73) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [2198bda] Ne pas masquer salt-master et salt-api sur tous les modules (ref #36985)
  * [f561286] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [89b0099] Emmanuel Garette: Update package since “debian/eole/2.9.0-72”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 28 Jul 2025 16:44:24 +0200

creole (2.9.0-72) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [5b80616] resolv.conf peut être modifié durant l'Upgrade (ref #36968)
  * [b78b9f9] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [b99c990] Emmanuel Garette: Update package since “debian/eole/2.9.0-71”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 28 Jul 2025 15:36:44 +0200

creole (2.9.0-71) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]


## creole 2.9.0-91

=== debian/changelog ===
creole (2.9.0-91) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [c6f6ee2] Exécution des run-parts de maj-auto à l'instance
  * [797c130] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [0e70a13] Laurent Gourvénec: Update package since “debian/eole/2.9.0-90”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 24 Nov 2025 16:17:26 +0100

creole (2.9.0-90) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [d43419c] CreoleRun/CreoleSwitchResolv : remove empty lines
  * [440f450] CreoleRun : nettoyage shellcheck
  * [342b418] CreoleSwitchResolv : nettoyage shellcheck
  * [3966027] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [4a63f55] Joël Cuissinat: Update package since “debian/eole/2.9.0-89”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 13 Nov 2025 10:45:47 +0100

creole (2.9.0-89) eole-2.9.0-proposed-updates; urgency=low

  [ lseys ]
  * [54a09d4] suppression du saut de ligne caché
  * [cf94e1e] Merge branch '2.8.1/master' into 2.9.0/master
  * [7808c92] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ee7f97b] lseys: Update package since “debian/eole/2.9.0-88”

 -- lseys <lseys@cadoles.com>  Wed, 29 Oct 2025 16:00:10 +0100

creole (2.9.0-88) eole-2.9.0-proposed-updates; urgency=low

  [ lseys ]
  * [7ef2cb8] oubli d'un échappement, correction du précédent
  * [88fd748] Merge branch '2.8.1/master' into 2.9.0/master
  * [e8e7a1b] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [bd0bd48] lseys: Update package since “debian/eole/2.9.0-87”

 -- lseys <lseys@cadoles.com>  Mon, 27 Oct 2025 10:44:15 +0100

creole (2.9.0-87) eole-2.9.0-proposed-updates; urgency=low

  [ lseys ]
  * [48475c8] Ajout d'un échappement pour que les variable soient correctement interprété
  * [3c281e4] Merge branch '2.8.1/master' into 2.9.0/master
  * [ff3eef7] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [703fb58] lseys: Update package since “debian/eole/2.9.0-86”

 -- lseys <lseys@cadoles.com>  Tue, 21 Oct 2025 12:05:00 +0200

creole (2.9.0-86) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [4df5625] Remplacer apt-eole par apt pour éviter la dépendance à creoled
  * [f43c0a4] Merge branch '2.8.1/master' into 2.9.0/master
  * [f91057d] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [aa7972e] Benjamin Bohard: Update package since “debian/eole/2.9.0-85”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 23 Sep 2025 11:09:03 +0200

creole (2.5.2-65) eole-2.5-uns

## creole 2.10.0-43

=== debian/changelog ===
creole (2.10.0-43) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [10fe02d] gen_rpt : utilisation de la clé EOLE pour chiffrer les données
  * [97d5a8c] Merge branch '2.7.2/master' into 2.8.0/master
  * [c6ac06d] Revert "Ajouter le module Hâpy à la liste des modules pris en charge."
  * [479837c] Merge branch '2.8.0/master' into 2.8.1/master
  * [361d671] Merge branch '2.8.1/master' into 2.9.0/master
  * [bfed4f8] Merge branch '2.9.0/master'
  * [0d991e2] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [a275ae4] Joël Cuissinat: Update package since “debian/eole/2.10.0-42”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 May 2025 16:39:33 +0200

creole (2.10.0-42) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [1be4cd1] installer la clef GPG (ref #36812)
  * [bce7c2a] Proposer de chiffrer le fichier de rapport + pouvoir ajouter un répertoire au rapport(ref #36812 et #36804)
  * [23e470c] Merge branch '2.7.2/36812' into 2.8.1/36812
  * [6a7eed1] Merge branch '2.8.1/36812' into 2.9.0/master
  * [d149a94] Merge branch '2.9.0/master'
  * [88e258f] Merge branch 'master' into dist/eole/2.10.0/master

  [ Benjamin Bohard ]
  * [38e8ffc] Ajouter le module Hâpy à la liste des modules pris en charge.

  [ EOLE Build Daemon ]
  * [d82bcb9] Emmanuel Garette: Update package since “debian/eole/2.10.0-41”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 29 Apr 2025 13:21:58 +0200

creole (2.10.0-41) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [c8ae206] gen_rpt : ajoute le répertoire /root/gen_rpt (ref #36804)
  * [00eb540] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [9e92768] Emmanuel Garette: Update package since “debian/eole/2.10.0-40”

 -- Emmanuel Garette <egarette@silique.fr>  Fri, 25 Apr 2025 10:20:08 +0200

creole (2.10.0-40) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [bbdf40e] Filtrer les données remontées par la commande ip address.
  * [b48eff8] Merge branch '2.8.1/master' into 2.9.0/master
  * [6db1de6] Merge branch '2.9.0/master'
  * [66bc362] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [ac68722] Benjamin Bohard: Update package since “debian/eole/2.10.0-39”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 17 Mar 2025 17:09:57 +0100

creole (2.10.0-39) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [834ec09] Mise à jour migration type_squid_auth
  * [4c6409e] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [e92a36d] Joël Cuissinat: Update package since “debian/eole/2.10.0-38”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 25 Feb 2025 10:33:37 +0100

creole (2.10.0-38) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [c8b207d] Mise à jour migration type_squid_auth
  * [c81a450] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [69cf1e3] Joël Cuissinat: Update package since “debian/eole/2.10.0-37”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 21 Feb 2025 11:11:55 +0100

creole (2.10.0-37) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [4d90485] Le test des variables relatives à Winbind n’est plus pertinent (suite).
  * [0621b18] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [064cc3a] Joël Cuissinat: Update package since “debian/eole/2.10.0-36”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 18 Feb 2025 11:59:49 +0100

creole (2.10.0-36) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [59de838] Le test des variables relatives à Winbind n’est plus pertinent.
  * [670aa2e] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [4ced1a5] Benjamin Bohard: Update package since “debian/eole/2.10.0-35”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 18 Feb 2025 11:48:04 +0100

creole (2.10.0-35) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [40cd84e] decodestring => decodebytes pour python 3.10 (ref #36403)
  * [a2c87d3] Merge branch '2.8.1/master' into 2.9.0/master

  [ Benjamin Bohard ]
  * [ba3e132] Afficher l’état des interfaces réseau pour un meilleur diagnostic.
  * [aee7825] Merge branch '2.9.0/master'
  * [77345cb] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [5a1bac9] Benjamin Bohard: Update package since “debian/eole/2.10.0-34”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 18 Feb 2025 10:48:08 +0100

creole (2.10.0-34) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [5e4f619] test_upgrade.py: new traget value for type_squid_auth in 2.10
  * [b04c89e] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [5d2512a] Joël Cuissinat: Update package since “debian/eole/2.10.0-33”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 13 Feb 2025 10:47:44 +0100

creole (2.10.0-33) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [ed0402a] Permettre les chemins de migration indirects
  * [3ec775b] Merge branch 'master' into dist/eole/2.10.0/master
  * [e4aebcb] Adapter la fonction list_files pour récupérer uniquement les dossiers.
  * [36553cd] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [f03eaf2] Benjamin Bohard: Update package since “debian/eole/2.10.0-32”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 15 Jan 2025 10:23:46 +0100

creole (2.10.0-32) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [f5d36ff] S’assurer que le service winbind est activé dans la configuration migrée.
  * [d33df28] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [fe5d4c0] Benjamin Bohard: Update package since “debian/eole/2.10.0-31”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 16 Dec 2024 11:18:10 +0100

creole (2.10.0-31) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [f44bb50] La variable type_squid_auth est toujours utilisée en 2.10.0


## creole 2.10.0-45

=== debian/changelog ===
creole (2.10.0-45) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [2472e63] Fonctions pour la récupération des informations et la demande de confirmation et demander la confirmation avant tout (ref #36894)
  * [db24f15] Merge branch '2.9.0/master'
  * [8c11fef] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [eed2e25] Emmanuel Garette: Update package since “debian/eole/2.10.0-44”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 10 Jun 2025 11:31:32 +0200

creole (2.10.0-44) eole-2.10.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [581be87] Remplacer apt-eole par apt pour éviter la dépendance à creoled
  * [f90b5e0] Remplacer apt-eole par apt pour éviter la dépendance à creoled
  * [e15560a] Merge branch '2.8.1/master' into 2.9.0/master
  * [9ef06b6] Merge branch '2.9.0/master'
  * [bcbbea4] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [51d1a95] Benjamin Bohard: Update package since “debian/eole/2.10.0-43”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 03 Jun 2025 09:40:04 +0200
